//Ivan Chavez Harrison 20808
//Proyecto 1 Manufactura digital
//Universidad del Valle de Guatemala

//Inicio del Programa
#include <Adafruit_NeoPixel.h>//Librería NeoPixel
#include "DHT.h"//Incluimos el sensor

#define PIN 6 
#define NUMPIXELS 10
Adafruit_NeoPixel pixels(NUMPIXELS, PIN, NEO_GRB + NEO_KHZ800);
#define DELAYVAL  0 //Tiempo de espera
#define DHTPIN 8//Definimos el sensor
#define DHTTYPE DHT11
DHT dht(DHTPIN, DHTTYPE);

const int pot1 = 5, pot2 = 4, pot3 = 3; // Variables de los potenciometros
const int btn_pin = 1;//Variable con el pin del botón
int rojo,verde,azul; //Variables de los colores
int btn_state,instante, modo = 1;//variables para el botón
float h, t;//Variables del sensor

void setup() {
  pixels.begin();
  pinMode(btn_pin,INPUT);
  dht.begin();

}

void loop() {
  pixels.clear();
  btn_state = digitalRead(btn_pin);
  
  if((instante == LOW) && (btn_state == HIGH)){
    if(modo == 1){
        modo = 0;
        }
    else{
        modo = 1;
        }
    }
  instante = btn_state;

  if(modo == 1){
    rojo = analogRead (pot1) / 4; //Dividimos la resistencia del pot entre 4
    verde = analogRead (pot2) / 4;
    azul = analogRead (pot3) / 4;

    pixels.setPixelColor(0, pixels.Color(rojo,verde,azul));//Prendemos los NeoPixels
    pixels.show();//Mostramos el color
    delay(DELAYVAL);
    }
  else{
    h = (dht.readHumidity())*2;
    t = (dht.readTemperature())*4;
    pixels.setPixelColor(0, pixels.Color(t,0,h));//Prendemos los NeoPixels con la información del sensor
    pixels.show();//Mostramos el color
    delay(DELAYVAL);
    }
  instante = btn_state;
}

//Fin del programa
